Name: sqlite
Summary: SQLite is a C library that implements an embeddable SQL database engine
Version: 3.2.1
Release: 2tr
Source: http://www.sqlite.org/%{name}-%{version}.tar.gz
Group: Trustix Official
URL: http://www.sqlite.org/
License: Public Domain
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SQLite is a C library that implements an embeddable SQL database engine.
Programs that link with the SQLite library can have SQL database access
without running a separate RDBMS process. The distribution comes with a
standalone command-line access program (sqlite) that can be used to
administer an SQLite database and which serves as an example of how to
use the SQLite library.

%package -n %{name}-devel
Summary: Header files and libraries for developing apps which will use sqlite
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel
The sqlite-devel package contains the header files and libraries needed
to develop programs that use the sqlite database library.

%prep
%setup -q 

%build
CFLAGS="%optflags -DNDEBUG=1" CXXFLAGS="%optflags -DNDEBUG=1" ./configure --prefix=%{_prefix}

make
#make doc

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
install -d $RPM_BUILD_ROOT/%{_prefix}
install -d $RPM_BUILD_ROOT/%{_prefix}/bin
install -d $RPM_BUILD_ROOT/%{_prefix}/include
install -d $RPM_BUILD_ROOT/%{_prefix}/lib
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 sqlite3.1 $RPM_BUILD_ROOT%{_mandir}/man1
make install prefix=$RPM_BUILD_ROOT/%{_prefix}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root,0755)
%{_libdir}/*.so.*
%{_bindir}/*
%{_mandir}/*/*

%files -n %{name}-devel
%defattr(-, root, root,0755)
%{_libdir}/pkgconfig/sqlite3.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%doc doc/*

%changelog
* Thu Apr 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.2.1-1tr
- New Upstream

* Fri Mar 18 2005 Nived Gopalan  <nived at comodo dot com> 3.1.6-1tr
- New upstream

* Mon Mar  7 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 3.1.3-1tr
- New upstream

* Sun Nov  7 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.8-2tr
- Now with manpage

* Fri Oct 22 2004 Oystein Viggen <oysteivi at trustix dot com> 3.0.8-1tr
- Import into Trustix tree.  Based on spec file distributed with sqlite
